/*------------------------------------------------------------------------------
--  This file is a part of the libuc, microcontroler library
--  Copyright (C) 2011, Alexis Jeandet
--
--  This program is free software; you can redistribute it and/or modify
--  it under the terms of the GNU General Public License as published by
--  the Free Software Foundation; either version 3 of the License, or
--  (at your option) any later version.
--
--  This program is distributed in the hope that it will be useful,
--  but WITHOUT ANY WARRANTY; without even the implied warranty of
--  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
--  GNU General Public License for more details.
--
--  You should have received a copy of the GNU General Public License
--  along with this program; if not, write to the Free Software
--  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA 
-------------------------------------------------------------------------------
--                 Author : Alexis Jeandet
--                   Mail : alexis.jeandet@gmail.com
-------------------------------------------------------------------------------*/
#ifndef BSP_H
#define BSP_H
#include <stm32f4xx.h>
#include <stm32f4xx_gpio.h>
#include <stm32f4xx_rcc.h>
#include <gpio.h>
#include <ili9328.h>
#include <genericLCD_Controler.h>

#define __MAX_OPENED_FILES__ 4
#define __FS_ROOT_SIZE__ 4
/*
#ifndef PD8
  #define PD8
#endif
#ifndef PD9
  #define PD9
#endif
*/


#define LED1 PF6
#define LED2 PF7
#define LED3 PF8

#define PSU_DISABLE PH2
#define PSU_ALERT_5V PF2
#define PSU_ALERT_1_5V PF3
#define PSU_ALERT_3_3V PF4

#define LCD_RESET PE2

extern float VREF0;

extern uint32_t currentCpuFreq;
extern LCD_t lcd0;


extern int bsp_init();

extern void bsp_GPIO_init();
extern void bsp_uart_init();
extern void bsp_iic_init();
extern void bsp_spi_init();
extern void bsp_SD_init();
extern void bsp_FSMC_init();

/*  VS1053  */
extern void clearXCS();
extern void setXCS();
extern int vs10XXDREQ();

/*   SD CARD */
void bsppowersdcard(char onoff);
char bspsdcardpresent();
void bspsdcardselect(char YESNO);
char bspsdcardwriteprotected();

#endif



















